Get a Workflow
curl --request GET \
--url https://api.captaindata.co/v3/workflows/{workflow_uid}/details \
--header 'Authorization: <api-key>' \
--header 'x-project-id: <api-key>'import requests
url = "https://api.captaindata.co/v3/workflows/{workflow_uid}/details"
headers = {
"Authorization": "<api-key>",
"x-project-id": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: '<api-key>', 'x-project-id': '<api-key>'}
};
fetch('https://api.captaindata.co/v3/workflows/{workflow_uid}/details', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "Search Sales Navigator Leads",
"uid": "xxxxxx-xxxx-4782-8d20-14a29ba0e546",
"steps": [
{
"step_uid": "xxxxxxx-xxxx-490a-877c-3b4e420fbef5",
"step_name": "Search Sales Navigator Leads",
"position": 0,
"permalink": "linkedin-sales-navigator-people-search",
"integrations": [
"linkedin"
],
"input_schema": {
"sales_navigator_profile_search_url": {
"regex": {},
"help": "A Sales Navigator Profile Search URL should start with 'https://www.linkedin.com/sales/search/people'",
"primary": true,
"required": 1,
"variations": [
"sales_navigator_employees_url",
"url"
],
"retro_variations": [
"sales_navigator_employees_url",
"url"
]
}
},
"output_schema": [
"full_name",
"first_name",
"last_name",
"company_name",
"sales_navigator_company_id",
"linkedin_profile_id",
"connection_degree",
"job_title",
"headline",
"profile_image_url",
"sales_navigator_search_url",
"sales_navigator_profile_url",
"linkedin_profile_url",
"sales_navigator_profile_id",
"sales_navigator_company_url",
"location",
"position_started_at",
"linkedin_people_post_search_url",
"viewed",
"tenure_start",
"tenure_end",
"tenure_length"
],
"parameters_schema": {
"properties": {
"excludeViewedLeads": false,
"max_results": 100,
"excludeCRMContacts": false
}
}
}
]
}{
"detail": "Not Found"
}Workflows
Get a Workflow
GET
/
v3
/
workflows
/
{workflow_uid}
/
details
Get a Workflow
Authorizations
The Authorization header must include 'x-api-key' followed by your API key (e.g., 'Authorization: x-api-key YOUR_API_KEY').
Workspace UID required to identify the workspace.
Path Parameters
⌘I